Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453272 - icons and text missing
Summary: icons and text missing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL: http://nicubunu.ro/pictures/f9beta/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 18:35 UTC by Saul Thomas
Modified: 2018-04-11 17:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:44:44 UTC


Attachments (Terms of Use)
log from /var/ (deleted)
2008-06-28 18:36 UTC, Saul Thomas
no flags Details
log from /var/ (deleted)
2008-06-28 18:36 UTC, Saul Thomas
no flags Details
xorg.conf (deleted)
2008-06-28 18:38 UTC, Saul Thomas
no flags Details

Description Saul Thomas 2008-06-28 18:35:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14) Gecko/20080208 Mandriva/2.0.0.14-3.1mdv2008.1 (2008.1) Firefox/2.0.0.14

Description of problem:
Installed Fedora 9 on a Thinkpad T61 64 bit laptop with an intel x3100 graphics card several days ago. The default language is set to simplified Chinese. All was well until I booted up last night to discover that all of the text and icons were gone. The screen looks the same as the screenshots on this page: http://nicubunu.blogspot.com/2008/03/my-struggles-with-f9-beta.html
http://nicubunu.ro/pictures/f9beta/

This page and a couple of others around the web give me the impression that there seems to be a problem with laptops with x3100 chips running fedora 9. Though there was a bug report filed here: 
https://bugzilla.redhat.com/show_bug.cgi?id=438969
The report was closed. It seems as though the problem might not have been solved. 

Pressing ctrl+alt+f1 allows me to get a text interface, but once I get back into the graphical interface the problem persists.

I renamed my xorg.conf file and booted up again, but I have the same result--no fonts or icons. 

I will include the /var/ logs and my xorg.conf

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.boot
2.
3.

Actual Results:
gdm appears with no text or icons. If I enter my user name and password, I can get into the gnome desktop, but again, there is no text and no icons. I cannot type text, either (though I believe I can type Chinese characters using scim).

Expected Results:
The gdm and gnome desktop should load normally

Additional info:

Comment 1 Saul Thomas 2008-06-28 18:36:00 UTC
Created attachment 310512 [details]
log from /var/

Comment 2 Saul Thomas 2008-06-28 18:36:47 UTC
Created attachment 310513 [details]
log from /var/

Comment 3 Saul Thomas 2008-06-28 18:38:30 UTC
Created attachment 310514 [details]
xorg.conf

Comment 4 Saul Thomas 2008-06-29 01:48:58 UTC
I'm able to get a normal graphical environment by changing the driver in
xorg.conf from "Intel" to "vesa". 

Comment 5 Saul Thomas 2008-07-07 18:38:10 UTC
I updated to the xorg-x11-drv-i810-2.3.2-2 driver in the testing repo, and then
changed back to the "intel" driver in xorg, but there was no improvement on
reboot. I had to change back to the "vesa" driver to get text and icons again.

Comment 6 Saul Thomas 2008-07-22 18:01:17 UTC
I just changed this bug to x11-drv-i810, because I believe it only concerns my
chipset. Please let me know if I'm wrong.

Comment 7 Matěj Cepl 2008-07-22 22:42:32 UTC
Yes, you are probably right.

Comment 8 Bug Zapper 2009-06-10 01:49:13 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 17:44:44 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.